Index: branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 1199)
+++ branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 1200)
@@ -1616,46 +1704,45 @@
   }
 
-  Void setIvMvPredFlag( Int d, Bool flag ) { m_ivMvPredFlag[d] = flag; } 
-  Bool getIvMvPredFlag( Int d ) { return m_ivMvPredFlag[d]; } 
-
-  Void setIvMvScalingFlag( Int d, Bool flag ) { m_ivMvScalingFlag[d] = flag; } 
-  Bool getIvMvScalingFlag( Int d ) { return m_ivMvScalingFlag[d]; } 
-
-  Void setLog2SubPbSizeMinus3( Int d, Int  val ) { m_log2SubPbSizeMinus3[d] = val; } 
-  Int  getLog2SubPbSizeMinus3( Int d ) { return m_log2SubPbSizeMinus3[d]; } 
-
-  Void setIvResPredFlag( Int d, Bool flag ) { m_ivResPredFlag[d] = flag; } 
-  Bool getIvResPredFlag( Int d ) { return m_ivResPredFlag[d]; } 
-
-  Void setDepthRefinementFlag( Int d, Bool flag ) { m_depthRefinementFlag[d] = flag; } 
-  Bool getDepthRefinementFlag( Int d ) { return m_depthRefinementFlag[d]; } 
-
-  Void setViewSynthesisPredFlag( Int d, Bool flag ) { m_viewSynthesisPredFlag[d] = flag; } 
-  Bool getViewSynthesisPredFlag( Int d ) { return m_viewSynthesisPredFlag[d]; } 
-
-  Void setDepthBasedBlkPartFlag( Int d, Bool flag ) { m_depthBasedBlkPartFlag[d] = flag; } 
-  Bool getDepthBasedBlkPartFlag( Int d ) { return m_depthBasedBlkPartFlag[d]; } 
-
-  Void setMpiFlag( Int d, Bool flag ) { m_mpiFlag[d] = flag; } 
-  Bool getMpiFlag( Int d ) { return m_mpiFlag[d]; } 
-
-  Void setLog2MpiSubPbSizeMinus3( Int d, Int  val ) { m_log2MpiSubPbSizeMinus3[d] = val; } 
-  Int  getLog2MpiSubPbSizeMinus3( Int d ) { return m_log2MpiSubPbSizeMinus3[d]; } 
-
-  Void setIntraContourFlag( Int d, Bool flag ) { m_intraContourFlag[d] = flag; } 
-  Bool getIntraContourFlag( Int d ) { return m_intraContourFlag[d]; } 
-
-  Void setIntraSdcWedgeFlag( Int d, Bool flag ) { m_intraSdcWedgeFlag[d] = flag; } 
-  Bool getIntraSdcWedgeFlag( Int d ) { return m_intraSdcWedgeFlag[d]; } 
-
-  Void setQtPredFlag( Int d, Bool flag ) { m_qtPredFlag[d] = flag; } 
-  Bool getQtPredFlag( Int d ) { return m_qtPredFlag[d]; } 
-
-  Void setInterSdcFlag( Int d, Bool flag ) { m_interSdcFlag[d] = flag; } 
-  Bool getInterSdcFlag( Int d ) { return m_interSdcFlag[d]; } 
-
-  Void setDepthIntraSkipFlag( Int d, Bool flag ) { m_depthIntraSkipFlag[d] = flag; } 
-  Bool getDepthIntraSkipFlag( Int d ) { return m_depthIntraSkipFlag[d]; } 
-
+  Void          setIvMvPredFlag( Int d, Bool flag )         { m_ivMvPredFlag[d] = flag;             }
+  Bool          getIvMvPredFlag( Int d ) const              { return m_ivMvPredFlag[d];             }
+
+  Void          setIvMvScalingFlag( Int d, Bool flag )      { m_ivMvScalingFlag[d] = flag;          }
+  Bool          getIvMvScalingFlag( Int d ) const           { return m_ivMvScalingFlag[d];          }
+
+  Void          setLog2SubPbSizeMinus3( Int d, Int  val )   { m_log2SubPbSizeMinus3[d] = val;       }
+  Int           getLog2SubPbSizeMinus3( Int d ) const       { return m_log2SubPbSizeMinus3[d];      }
+
+  Void          setIvResPredFlag( Int d, Bool flag )        { m_ivResPredFlag[d] = flag;            }
+  Bool          getIvResPredFlag( Int d ) const             { return m_ivResPredFlag[d];            }
+
+  Void          setDepthRefinementFlag( Int d, Bool flag )  { m_depthRefinementFlag[d] = flag;      }
+  Bool          getDepthRefinementFlag( Int d ) const       { return m_depthRefinementFlag[d];      }
+
+  Void          setViewSynthesisPredFlag( Int d, Bool flag ) { m_viewSynthesisPredFlag[d] = flag;   }
+  Bool          getViewSynthesisPredFlag( Int d ) const     { return m_viewSynthesisPredFlag[d];    }
+
+  Void          setDepthBasedBlkPartFlag( Int d, Bool flag ) { m_depthBasedBlkPartFlag[d] = flag;   }
+  Bool          getDepthBasedBlkPartFlag( Int d ) const     { return m_depthBasedBlkPartFlag[d];    }
+
+  Void          setMpiFlag( Int d, Bool flag )              { m_mpiFlag[d] = flag;                  }
+  Bool          getMpiFlag( Int d ) const                   { return m_mpiFlag[d];                  }
+
+  Void          setLog2MpiSubPbSizeMinus3( Int d, Int  val ) { m_log2MpiSubPbSizeMinus3[d] = val;   }
+  Int           getLog2MpiSubPbSizeMinus3( Int d ) const    { return m_log2MpiSubPbSizeMinus3[d];   }
+
+  Void          setIntraContourFlag( Int d, Bool flag )     { m_intraContourFlag[d] = flag;         }
+  Bool          getIntraContourFlag( Int d ) const          { return m_intraContourFlag[d];         }
+
+  Void          setIntraSdcWedgeFlag( Int d, Bool flag )    { m_intraSdcWedgeFlag[d] = flag;        }
+  Bool          getIntraSdcWedgeFlag( Int d ) const         { return m_intraSdcWedgeFlag[d];        }
+
+  Void          setQtPredFlag( Int d, Bool flag )           { m_qtPredFlag[d] = flag;               }
+  Bool          getQtPredFlag( Int d ) const                { return m_qtPredFlag[d];               }
+
+  Void          setInterSdcFlag( Int d, Bool flag )         { m_interSdcFlag[d] = flag;             }
+  Bool          getInterSdcFlag( Int d ) const              { return m_interSdcFlag[d];             }
+
+  Void          setDepthIntraSkipFlag( Int d, Bool flag )   { m_depthIntraSkipFlag[d] = flag;       }
+  Bool          getDepthIntraSkipFlag( Int d ) const        { return m_depthIntraSkipFlag[d];       }
 private:
 
